// package: oddscrawler
// file: cdp.proto

/* tslint:disable */

import * as grpc from "grpc";
import * as cdp_pb from "./cdp_pb";

interface ICDPServiceService extends grpc.ServiceDefinition<grpc.UntypedServiceImplementation> {
    navigate: ICDPServiceService_Inavigate;
}

interface ICDPServiceService_Inavigate extends grpc.MethodDefinition<cdp_pb.NavigateRequest, cdp_pb.NavigateReply> {
    path: string; // "/oddscrawler.CDPService/navigate"
    requestStream: boolean; // false
    responseStream: boolean; // false
    requestSerialize: grpc.serialize<cdp_pb.NavigateRequest>;
    requestDeserialize: grpc.deserialize<cdp_pb.NavigateRequest>;
    responseSerialize: grpc.serialize<cdp_pb.NavigateReply>;
    responseDeserialize: grpc.deserialize<cdp_pb.NavigateReply>;
}

export const CDPServiceService: ICDPServiceService;

export interface ICDPServiceServer {
    navigate: grpc.handleUnaryCall<cdp_pb.NavigateRequest, cdp_pb.NavigateReply>;
}

export interface ICDPServiceClient {
    navigate(request: cdp_pb.NavigateRequest, callback: (error: grpc.ServiceError | null, response: cdp_pb.NavigateReply) => void): grpc.ClientUnaryCall;
    navigate(request: cdp_pb.NavigateRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: cdp_pb.NavigateReply) => void): grpc.ClientUnaryCall;
    navigate(request: cdp_pb.NavigateRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: cdp_pb.NavigateReply) => void): grpc.ClientUnaryCall;
}

export class CDPServiceClient extends grpc.Client implements ICDPServiceClient {
    constructor(address: string, credentials: grpc.ChannelCredentials, options?: object);
    public navigate(request: cdp_pb.NavigateRequest, callback: (error: grpc.ServiceError | null, response: cdp_pb.NavigateReply) => void): grpc.ClientUnaryCall;
    public navigate(request: cdp_pb.NavigateRequest, metadata: grpc.Metadata, callback: (error: grpc.ServiceError | null, response: cdp_pb.NavigateReply) => void): grpc.ClientUnaryCall;
    public navigate(request: cdp_pb.NavigateRequest, metadata: grpc.Metadata, options: Partial<grpc.CallOptions>, callback: (error: grpc.ServiceError | null, response: cdp_pb.NavigateReply) => void): grpc.ClientUnaryCall;
}
